Subject: Re: [TOOLS-DEVELOPMENT] ical server issue
From: Russ Housley <[email-masked]>
To: Lou Berger <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Sep 2015 15:13:47 -0400
List-Id: Tools Development list server <tools-development.ietf.org>

Lou:

Time is part of the TLS handshake nonce.  But, no one checks it.  In fact, in TLS 1.3 it is being replaced with random bits.

Russ

On Sep 16, 2015, at 2:03 PM, Lou Berger wrote:

> I think ssl includes a time exchange, but I'm certainly not informed
> (let alone an expert) on this topic...
> 
> On 09/16/2015 01:51 PM, Benson Schliesser wrote:
>> No, I think my "shot in the dark" was just a miss... I just spent a few
>> minutes just now looking at the cert, http headers, etc, and it all
>> seems correct to me. Sorry.
>> -B
>> 
>> 
>> On Wed, Sep 16, 2015 at 1:14 PM, Glen <[email-masked]
>> <mailto:[email-masked]>> wrote:
>> 
>>    Hi Benson -
>> 
>>    The iCal server is using the same global wildcard certificate that
>>    the rest of the IETF services are using.
>> 
>>    I just reviewed it, and the time zone information appears to be
>>    correctly set.   The expiration date, for example, is:
>> 
>>    8/11/2016 16:12:50 PM (8/11/2016 23:12:50 PM GMT)
>> 
>>    Which seems to be more-or-less correct....
>> 
>>    Apologies if I'm missing something or looking in the wrong place?
>> 
>>    Glen
>> 
>> 
>> 
>> 
>> 
>> 
>> 
>>    On Wed, Sep 16, 2015 at 10:06 AM, Benson Schliesser
>>    <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>>        Just a shot in the dark:  Given that this issue presents itself
>>        when Google Calendar pulls ical info via HTTPS, it occurs to me
>>        that perhaps the issue is with timezone info in the server's
>>        certificate..? 
>>        -B
>> 
>> 
>>        On Wed, Sep 16, 2015 at 12:43 PM, Glen <[email-masked]
>>        <mailto:[email-masked]>> wrote:
>> 
>>            Understood.  I'll make sure everyone here knows this, and if
>>            we locate any web pages with the less-desirable link, I'll
>>            make sure they get updated.
>> 
>>            Thanks,
>>            Glen
>> 
>> 
>>            On Wed, Sep 16, 2015 at 9:40 AM, Lou Berger
>>            <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
>> 
>>                On 9/16/2015 12:30 PM, Glen wrote:
>>> ...
>>> Interesting find about the https:// though...
>>                ..
>> 
>>                Given the work around, I'm going to move on to other
>>                things.  As we
>>                scale out ical services, and more google users show up,
>>                we'll need to
>>                address this.  Certainly publishing the http version as
>>                1st choice for
>>                public calendars will avoid most of this.
>> 
>>                Thanks,
>>                Lou
>> 
>> 
>>                _______________________________________________
>>                TOOLS-DEVELOPMENT mailing list
>>                [email-masked]
>>                <mailto:[email-masked]>
>>                https://www.ietf.org/mailman/listinfo/tools-development
>> 
>> 
>> 
>>            _______________________________________________
>>            TOOLS-DEVELOPMENT mailing list
>>            [email-masked] <mailto:[email-masked]>
>>            https://www.ietf.org/mailman/listinfo/tools-development
>> 
>> 
>> 
>>        _______________________________________________
>>        TOOLS-DEVELOPMENT mailing list
>>        [email-masked] <mailto:[email-masked]>
>>        https://www.ietf.org/mailman/listinfo/tools-development
>> 
>> 
>> 
>> 
>> 
>> _______________________________________________
>> TOOLS-DEVELOPMENT mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/tools-development
>> 
> 
> _______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development